Bug 481256 - no lang/kbd selection for Live System User after logout
no lang/kbd selection for Live System User after logout
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: i18n, Regression
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-01-23 00:03 EST by Jens Petersen
Modified: 2015-01-14 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 02:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-01-23 00:03:18 EST
Description of problem:
No sure if it is intentional but with current gdm in rawhide after liveuser logs out, autologin is not available at gdm login: which makes it hard to change language or keyboard settings - specially if liveuser got autologged in and actually had wanted to change language or kbd initially.

Version-Release number of selected component (if applicable):
gdm-2.25.2-2.fc11

How reproducible:
100%

Steps to Reproduce:
1. login as liveuser in live rawhide spin
2. logout
3. try to change lang/kbd
  
Actual results:
3. no autologin so hard to change lang/kbd specially if one does not know "Other... -> liveuser".

Expected results:
autologin to be available as in F10.
Comment 1 Matthias Clasen 2009-01-30 12:58:23 EST
It is intentional. 

It would be hard to change the lang/keyboard if logging out would log you right back in...

gdm autologin has always behaved in this way.
Comment 2 Jens Petersen 2009-01-31 00:03:47 EST
(In reply to comment #1)
> It would be hard to change the lang/keyboard if logging out would log you right
> back in...

So how are people supposed to change lang/kbd after logging out?

> gdm autologin has always behaved in this way.

Did you try F10-i686-Live.iso?  (Expected Results :)
Comment 3 Matthias Clasen 2009-02-01 12:29:09 EST
Not sure I understand exactly a) what is wrong and b) what change is requested here.

Would it help if we made liveuser show up in the user list (instead of hidden behind Other...) ?
Comment 4 Jens Petersen 2009-02-01 18:46:35 EST
(In reply to comment #3)
> Not sure I understand exactly a) what is wrong and b) what change is requested
> here.

The behaviour changed from F10.  There is not too much to understand one can just compare
and see that now after logging out there is no choice of lang/kbd available as there
was before.  I dunno how that was done, but given that is it there for initial login
it should be possible to repeat it after logging out too?

a) see Summary.

b) see above

> Would it help if we made liveuser show up in the user list (instead of hidden
> behind Other...) ?

That would lower the pain, but why not bring back the F10 behaviour?
Comment 5 Matthias Clasen 2009-02-03 12:08:20 EST
It wasn't clear to me so far that you are describing an f10->rawhide behaviour change. sounds like a bug then
Comment 6 Jens Petersen 2009-03-17 01:43:48 EDT
Actually it is even worse now - there is no lang menu even for "Other..." user.
Comment 7 Jens Petersen 2009-03-31 02:35:38 EDT
Fine now with gdm-0.8.1-5.fc11

Note You need to log in before you can comment on or make changes to this bug.